#include "Constraint.h"

Constraint::Constraint( ) {
	mSource = "NotAssigned" ;
	mDest = "NotAssigned" ;
}

string Constraint::GetSourceName( ) {
	return mSource ;
}
string Constraint::GetDestinationName( ) {
	return mDest ;
}
double Constraint::GetBandwidth( ) {
	return mBw ;
}
double Constraint::GetDelay( ) {
	return mT ;
}
void Constraint::SetSourceName( string Name ) {
	mSource = Name ;
}
void Constraint::SetDestinationName( string Name ) {
	mDest = Name ;
}
void Constraint::SetBandwidth( double Bw ) {
	mBw = Bw ;
}
void Constraint::SetDelay( double T ) {
	mT = T ;
}
